Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Tue, 06 Oct 2009 10:56:38 +0200

> It's because:
 >
 > -----------
 > | scratch |
 > |         |
 > |         |
 > -----------
 >
 > goes to :
 >
 > ------------------
 > | scratch | other |
 > |         | ------
 > |         | cal   |
 > ------------------
 >
 > where `other' is whatever other-buffer returns. It's not choosing
 > messages specially, but obviously in emacs -Q there are no other
 > buffers available.

It could show *scratch* twice.  Ideally, the "other" window would not be
created but a "vertical" calendar layout used instead ;-) Or show all
months of the respective year (maybe in some dimmed face) to make use of
the available space.  With the current layout I don't see much sense
doing a horizontal split at all.

 > Then if you show the diary, it may happen to put it in the leftmost
 > window, replacing scratch.
 >
 > AFAIK there are no general Emacs window-handling features to do any of
 > this in any more sophisticated fashion.

We could supply a command to show diary and cal simultaneously in two
windows above each other.  Otherwise, we could remember in a separate
variable which "other" window was created when the calendar window was
split off and, if that other window is still alive and the calendar
window is below or on the right of it, use it for displaying the diary.

martin